Obrir sessió
logo

DEFENSA DAVANT DE LES CIBERAMENACES

barra-separadora

Soporte de vulnerabilidades

Servicio de soporte de vulnerabilidadesAnálisis, notificación y seguimiento de aquellas vulnerabilidades más críticas, que impactan especialmente en las tecnologías empleadas en el sector público. El CCN-CERT trabajará en la recopilación y clasificación de las nuevas vulnerabilidades, realizando un análisis teórico y en laboratorio, cuando sea posible, de aquellas que por su criticidad lo requieran.

Se generarán documentos informativos o “abstracts” de dichas vulnerabilidades y se llevará a cabo un seguimiento de la evolución de la vulnerabilidad en Internet, alertando a los organismos ante cambios en la criticidad, aparición de parches, nuevas recomendaciones, constancia de explotaciones activas, etc.

Para inscribirse en este servicio o recibir más información, escribir al correo electrónico: soporte_acreditacion@ccn.cni.es

Abstracts:


Boletines de Vulnerabilidades


Compromiso root y denegaciones de servicio en IRIX

Clasificación de la vulnerabilidad

Propiedad Valor
Nivel de Confianza Oficial
Impacto Compromiso Root
Dificultad Experto
Requerimientos del atacante Acceso remoto con cuenta

Información sobre el sistema

Propiedad Valor
Fabricant afectat UNIX
Software afectado IRIX 6.5.20m
IRIX 6.5.20f
IRIX 6.5.21m
IRIX 6.5.21f
IRIX 6.5.22
IRIX 6.5.23
IRIX 6.5.24

Descripción

Se han descubierto múltiples vulnerabilidades en las versiones 6.5.20m, 6.5.20f, 6.5.21m, 6.5.21f, 6.5.22, 6.5.23 y 6.5.24 del sistema operativo IRIX. Las vulnerabilidades son descritas a continuación:

CAN-2004-0135: Una vulnerabilidad en la implementación de la petición SGI_IOPROBE en la llamada al sistema syssgi podría permitir a un usuario no privilegiado leer y escribir en la memoria del kernel lo que podría permitir a un atacante local conseguir privilegios de root.

CAN-2004-0136: Una vulnerabilidad en la rutina mapelf32exec() podría permitir a un atacante local provocar una denegación de servicio del sistema mediante un binario especialmente diseñado.

CAN-2004-0137: El proceso init podría provocar una denegación de servicio de la máquina debido a errores de invalidación de páginas.

Solución



Actualización de software

SGI

IRIX 6.5.20m
Parches 5625 & 5548 o 5626 & 5548
ftp://patches.sgi.com/support/free/security/patches/6.5.20/

IRIX 6.5.20f
Parches 5627 & 5549 o 5628 & 5549
ftp://patches.sgi.com/support/free/security/patches/6.5.20/

IRIX 6.5.21m
Parches 5621 & 5550 o 5620 & 5550
ftp://patches.sgi.com/support/free/security/patches/6.5.21/

IRIX 6.5.21f
Parches 5622 & 5551
ftp://patches.sgi.com/support/free/security/patches/6.5.21/

IRIX 6.5.22
Parches 5613 & 5630
ftp://patches.sgi.com/support/free/security/patches/6.5.22/

IRIX 6.5.23
Parches 5656 & 5553
ftp://patches.sgi.com/support/free/security/patches/6.5.23/

IRIX 6.5.24
Parches 5624 & 5593
ftp://patches.sgi.com/support/free/security/patches/6.5.24/

Red Hat Linux

Red Hat Enterprise Linux AS (v. 2.1) & SRPMS:
kernel-2.4.18-e.52.src.rpm t

Red Hat Enterprise Linux AS (v. 2.1) & IA-64:
kernel-2.4.18-e.52.ia64.rpm t
kernel-doc-2.4.18-e.52.ia64.rpm t
kernel-smp-2.4.18-e.52.ia64.rpm t
kernel-source-2.4.18-e.52.ia64.rpm t

Red Hat Linux Advanced Workstation 2.1 & the Itanium Processor & SRPMS:
kernel-2.4.18-e.52.src.rpm t

Red Hat Linux Advanced Workstation 2.1 & the Itanium Processor & IA-64:
kernel-2.4.18-e.52.ia64.rpm t
kernel-doc-2.4.18-e.52.ia64.rpm t
kernel-smp-2.4.18-e.52.ia64.rpm t
kernel-source-2.4.18-e.52.ia64.rpm
https://rhn.redhat.com/

Identificadores estándar

Propiedad Valor
CVE CAN-2004-0135
CAN-2004-0136
CAN-2004-0137
BID NULL

Recursos adicionales

SGI Security Advisory 20040601-01-P
ftp://patches.sgi.com/support/free/security/advisories/20040601-01-P.asc

SGI Security Advisory 20040601-02-P
ftp://patches.sgi.com/support/free/security/advisories/20040601-02-P.asc

Red Hat Linux Security Advisory (RHSA-2004:504-13)
https://rhn.redhat.com/errata/RHSA-2004-504.html

Histórico de versiones

Versión Comentario Data
1.0 Aviso emitido 2004-06-16
1.1 Nuevos parches emitidos por SGI (20040601-02-P) 2004-08-12
1.2 Aviso emitido por Red Hat Linux (RHSA-2004-504) 2004-12-14
Tornar

Este sitio web utiliza cookies propias y de terceros para el correcto funcionamiento y visualización del sitio web por parte del usuario, así como la recogida de estadísticas. Si continúa navegando, consideramos que acepta su uso. Puede cambiar la configuración u obtener más información. Modificar configuración